{
	"openapi": "3.1.0",
	"info": {
		"title": "mapping-tools - Utilisation de tables de correspondance",
		"summary": "Ces services permettent de remplacer des valeurs selon une table de correspondance.",
		"version": "1.10.3",
		"termsOfService": "https://services.istex.fr/",
		"contact": {
			"name": "Inist-CNRS",
			"url": "https://www.inist.fr/nous-contacter/"
		}
	},
	"servers": [
		{
			"x-comment": "Will be automatically completed by the ezs server."
		},
		{
			"url": "http://vptdmservices.intra.inist.fr:49232/",
			"description": "Latest version for production",
			"x-profil": "Standard"
		},
		{
			"url": "http://vitdmservices.intra.inist.fr:49273/",
			"description": "only for personal or local usage"
		}
	],
    "tags": [
        {
            "name": "mapping",
            "description": "Tables de correspondance",
            "externalDocs": {
                "description": "Plus de documentation",
                "url": "https://gitbucket.inist.fr/tdm/web-services/tree/master/mapping-tools"
            }
        }
    ],
    "components": {
        "schemas": {
            "IdRNSRs1": {
                "type": "array",
                "items": {
                    "$ref": "#/components/schemas/IdRNSR1"
                }
            },
            "IdRNSR1": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "value": {
                        "$ref": "#/components/schemas/RNSR"
                    }
                }
            },
            "RNSR": {
                "type": "string",
                "pattern": "^[0-9]{9}[A-Z]$",
                "example": "200919362L"
            },
            "IdInstitutes": {
                "type": "array",
                "items": {
                    "$ref": "#/components/schemas/IdInstitute"
                }
            },
            "IdInstitute": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "value": {
                        "type": "string",
                        "example": "INEE"
                    }
                }
            },
            "idRef": {
                "type": "string",
                "pattern": "http://www.idref.fr/[0-9]{9}/id",
                "example": "http://www.idref.fr/190260483/id"
            },
            "halAuthorId": {
                "type": "string",
                "pattern": "https://data.archives-ouvertes.fr/author/[0-9]+",
                "example": "https://data.archives-ouvertes.fr/author/1458607"
            },
            "idHal": {
                "type": "string",
                "pattern": "https://data.archives-ouvertes.fr/author/[a-z\\-]+#foaf:Person",
                "example": "https://data.archives-ouvertes.fr/author/francois-parmentier#foaf:Person"
            },
            "IdIdRefs": {
                "type": "array",
                "items": {
                    "$ref": "#/components/schemas/IdIdRef"
                }
            },
            "IdIdRef": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "value": {
                        "$ref": "#/components/schemas/idRef"
                    }
                }
            },
            "IdHalAuthorIds": {
                "type": "array",
                "items": {
                    "$ref": "#/components/schemas/IdHalAuthorId"
                }
            },
            "IdHalAuthorId": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "value": {
                        "$ref": "#/components/schemas/halAuthorId"
                    }
                }
            },
            "IdIdHals": {
                "type": "array",
                "items": {
                    "$ref": "#/components/schemas/IdIdHal"
                }
            },
            "IdIdHal": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "value": {
                        "$ref": "#/components/schemas/idHal"
                    }
                }
            },
            "IdOrcids": {
                "type": "array",
                "items": {
                    "$ref": "#/components/schemas/idOrcid"
                }
            },
            "idOrcid": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "value": {
                        "$ref": "#/components/schemas/orcid"
                    }
                }
            },
            "orcid": {
                "type": "string",
                "pattern": "https:\/\/orcid\\.org\/)?(\\d{4}-){3}\\d{4}",
                "example": "https://orcid.org/0000-0003-1301.10.35"
            },
            "IdChaines": {
                "type": "array",
                "items": {
                    "$ref": "#/components/schemas/IdChaine"
                }
            },
            "IdChaine": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "value": {
                        "type": "string"
                    }
                }
            }
       }
    }
}
